Get Corpus Manifest
curl --request GET \
--url https://api.ontora.com/v1/interviews/{interview_id}/corpus/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/corpus/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/corpus/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema_version": "corpus-manifest-v1",
"campaign_id": "<string>",
"scope": "completed_or_contentful_conversations",
"generated_at": "<string>",
"total_records": 123,
"records_with_transcript": 123,
"records_without_transcript": 123,
"complete_records": 123,
"incomplete_records": 123,
"counts_by_status": {},
"counts_by_release_status": {},
"counts_by_transcript_source": {},
"records_with_question_mapping_gaps": 123,
"records_with_question_mapping_conflicts": 123,
"excluded_by_reason": {},
"records": [
{
"response_id": "<string>",
"status": "<string>",
"is_complete": true,
"has_transcript": true,
"release_status": "raw_citable",
"transcript_revision": 123,
"transcript_turn_count": 123,
"transcript_source": "canonical",
"guide_hash": "<string>",
"question_mapping_status": "complete",
"question_mapping_conflict_count": 123,
"answered_question_count": 123,
"record_hash": "<string>"
}
],
"manifest_hash": "<string>",
"truncated": false,
"max_record_count": 123,
"max_turns_per_record": 123,
"max_record_bytes": 123,
"max_export_bytes": 123,
"guide": [
{
"key": "<string>",
"question_id": "<string>",
"topic_id": "<string>",
"topic": "<string>",
"question": "<string>",
"question_type": "<string>",
"options": [
"<unknown>"
],
"component_config": {}
}
],
"guide_hash": "<string>",
"ndjson_hash": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}protected-corpus
Get Corpus Manifest
Return every non-test response that completed or contains transcript text.
GET
/
v1
/
interviews
/
{interview_id}
/
corpus
/
manifest
Get Corpus Manifest
Authorizations
ClerkJWTWorkspaceApiKey
Clerk-issued RS256 JWT.
Headers
Path Parameters
Response
Successful Response
Allowed value:
"corpus-manifest-v1"Allowed value:
"completed_or_contentful_conversations"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[0-9a-fA-F]{64}$Show child attributes
Show child attributes
Pattern:
^[0-9a-fA-F]{64}$Pattern:
^[0-9a-fA-F]{64}$Was this page helpful?